import * as Comlink from 'comlink';
import { WebStreamingSyncImplementation, WebStreamingSyncImplementationOptions } from './WebStreamingSyncImplementation';
import { SharedSyncImplementation, SharedSyncStatus } from '../../worker/sync/SharedSyncImplementation';
export declare class SharedWebStreamingSyncImplementation extends WebStreamingSyncImplementation {
    protected stateManager: Comlink.Remote<SharedSyncImplementation>;
    /**
     * ID for the tab running this sync implementation
     */
    protected syncTabId: string;
    constructor(options: WebStreamingSyncImplementationOptions);
    /**
     * Triggers update of sync status without broadcasting to shared sync
     * manager
     */
    protected internalUpdateStatus(state: SharedSyncStatus): void;
    protected updateSyncStatus(state: SharedSyncStatus): void;
}
